Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## turtlekit.kernel
Class TurtleEnvironment

    java.lang.Object
      madkit.kernel.AbstractAgent
          turtlekit.kernel.TurtleEnvironment

All Implemented Interfaces:
  java.io.Serializable, ReferenceableAgent

    public class TurtleEnvironment

extends AbstractAgent
implements ReferenceableAgent

This Agent is the one who creates turtles,patches and who cares about managing them all (creation, death...)

Version:
  3.0 09/10/2001
Author:
  Fabien MICHEL
See Also:
  Serialized Form

Field Summary
`Patch[][]` | `grid`

Constructor Summary
`TurtleEnvironment(int width, int height, java.lang.String group)`

Method Summary
`void` | `activate()` This method is initially called when the micro-kernel registers the agent.
`void` | `diffusion()`
`void` | `displayOff()`
`void` | `displayOn()`
`void` | `evaporation()`

Methods inherited from class madkit.kernel.AbstractAgent
`broadcastMessage, broadcastMessage, connectedWithCommunity, createGroup, createGroup, debug, disposeMyGUI, end, foundGroup, getAddress, getAgentInformation, getAgentsWithRole, getAgentsWithRole, getAgentWithRole, getAgentWithRole, getAvailableCommunities, getBean, getController, getCurrentKernelAddress, getDebug, getExistingGroups, getExistingGroups, getExistingRoles, getExistingRoles, getGroups, getGUIObject, getMessageBoxSize, getMyGroups, getMyGroups, getMyRoles, getMyRoles, getName, getRoles, hasGUI, initGUI, isBelongingToGroup, isBelongingToGroup, isCommunity, isGroup, isGroup, isMemberOf, isMemberOf, isMessageBoxEmpty, isRole, isRole, joinGroup, killAgent, launchAgent, launchAgent, leaveGroup, leaveGroup, leaveRole, leaveRole, nextMessage, print, println, receiveMessage, redisplayMyGUI, requestRole, requestRole, requestRole, restoreAgent, sendMessage, sendMessage, sendMessage, setBean, setController, setDebug, setGUIObject, setName, setOutput, setOutputWriter, windowClosing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### grid

    public Patch[][] grid

Constructor Detail

### TurtleEnvironment

    public TurtleEnvironment(int width,
                             int height,
                             java.lang.String group)

Method Detail

### displayOff

    public void displayOff()

### displayOn

    public void displayOn()

### diffusion

    public final void diffusion()

### evaporation

    public final void evaporation()

### activate

    public final void activate()

  Description copied from class: `AbstractAgent`
  This method is initially called when the micro-kernel registers the agent. Usually a good place to set up some initial groups and roles.

  Overrides:
    `activate` in class `AbstractAgent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.